Get inventory of specific item - Fabric
Get inventory of specific item
cURL
curl --request GET \
--url https://prod01.oms.fabric.inc/api/v2/inventory/{itemId} \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'
Python
import requests
url = "https://prod01.oms.fabric.inc/api/v2/inventory/{itemId}"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'GET',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://prod01.oms.fabric.inc/api/v2/inventory/{itemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/inventory/{itemId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-site-context: <x-site-context>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://prod01.oms.fabric.inc/api/v2/inventory/{itemId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-site-context", "<x-site-context>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Java (Unirest)
HttpResponse<String> response = Unirest.get("https://prod01.oms.fabric.inc/api/v2/inventory/{itemId}")
.header("x-site-context", "<x-site-context>")
.header("Authorization", "Bearer <token>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://prod01.oms.fabric.inc/api/v2/inventory/{itemId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-site-context"] = '<x-site-context>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Possible Responses
- 200 OK:
{
"virtualCounters": {
"availableToPurchase": 10
},
"id": "62272e917b12209e68751d94",
"sku": "SKU00025",
"itemId": 4225678911,
"locationNum": 473746,
"channelId": 12,
"vendorId": "vendor123",
"leadTime": 1234,
"inventoryType": "Safety stock",
"infiniteInventory": true,
"counters": {
"on-hand": 10
},
"attributes": {
"buy online, pick up in-store (bopis)": true
}
}
- 400 Bad Request:
{
"message": "Invalid request payload or parameter"
}
- 404 Not Found:
{
"message": "Resource not found. If the issue persists please contact support@fabric.inc."
}
- 500 Internal Server Error:
{
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}
Authorizations
- Authorization
- Type: string
- Location: header
- Requirement: required
- Description: Bearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Headers
- x-site-context
- Type: string
- Requirement: required
- Description: The
x-site-contextheader is a JSON object that contains information about the source you wish to pull from. The mandatoryaccountis the 24 character identifier found in Copilot. Thechannel(Sales channel ID),stage(environment name), anddateattributes can be used to further narrow the scope of your data source. - Example:
{"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}
Path Parameters
- itemId
- Type: number
- Requirement: required
- Description: Item ID
- Example:
4225678911
Response Fields
- virtualCounters:
- availableToPurchase: number
- id: string
- sku: string
- itemId: integer
- locationNum: integer
- channelId: string
- vendorId: string
- leadTime: string
- inventoryType: string
- infiniteInventory: boolean
- counters: object
- attributes: object